
TYPO3.TypoScript - Feature # 44417

Status: Resolved Priority: Should have
Author: Marc Neuhaus Category:
Created: 2013-01-09 Assigned To: Marc Neuhaus
Updated: 2013-10-04 Due date:
Subject: Enable multiple TypoScriptPaths in the TypoScriptView
Description

To use TypoScripts from multiple packages in a TypoScriptView it needs to support multiple TypoScriptPaths.

This comes in especially handy in combination with the Feature to configurat Views through Views.yaml
that's being developed at: http://forge.typo3.org/issues/42176

Related issues:
related to TYPO3.Flow - Feature # 42176: Improve resolving of view Resolved 2012-10-19

Associated revisions
Revision 83a14669 - 2013-10-04 14:20 - Marc Neuhaus 

[FEATURE] Make TypoScriptView configurable via Views.yaml

This changes the TypoScriptView to make use of the new
way to set options by the view configuration change.
See I93acc3ed3d9578a5d00d494b367aa7201138255b

Besides this adds support for multiple fallback paths and makes sure
that `canRender()`` is invoked on the ``TypoScriptRuntime`` before
rendering the actual TypoScript.

Resolves: #44417
Related: #42176
Change-Id: I30a480b5e1a947233719eaa73e44d2913d6199e6
Reviewed-on: https://review.typo3.org/16394
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

History
#1 - 2013-06-25 22:39 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16394

#2 - 2013-06-25 22:41 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16394
#3 - 2013-06-26 00:20 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16394

#4 - 2013-06-26 00:26 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16394

#5 - 2013-10-01 15:05 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16394

#6 - 2013-10-04 14:19 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16394

#7 - 2013-10-04 14:35 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:83a14669af7af79713029dcd6e3e34a068f102b8.

2015-08-04 2/2

https://review.typo3.org/16394
https://review.typo3.org/16394
https://review.typo3.org/16394
https://review.typo3.org/16394

